Skip to main content
GET
Discover organizations, teams and connections

Authorizations

Authorization
string
header
required

WorkOS access JWT or a user-owned WorkOS API key. User keys are bound to one organization and restricted to their enabled product permissions. Session-only onboarding and session revocation require an interactive access JWT. No cookie session is assumed.

Headers

X-Request-Id
string

Optional caller-provided correlation identifier.

Required string length: 1 - 128

Path Parameters

organization_id
string
required
Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
grant_id
string
required

Query Parameters

project_id
string

Supply together with environment_id only for a legacy project-bound grant.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
environment_id
string

Supply together with project_id only for a legacy project-bound grant.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
provider_organization_id
integer
Required range: x >= 1
team_id
integer
Required range: x >= 1

Response

Connection result.

organizations
object[]
required
teams
object[]
required
connections
object[]
required